> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get enricher result by enricher name and end user

> Retrieve the latest result for a specific enricher and end user



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_user_enrichers/{end_user_heron_id}/enricher_results/{enricher_name}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_enrichers/{end_user_heron_id}/enricher_results/{enricher_name}:
    get:
      tags:
        - EndUserEnrichers
      summary: Get enricher result by enricher name and end user
      description: Retrieve the latest result for a specific enricher and end user
      parameters:
        - description: The heron ID of the end user
          example: eus_abc123
          in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
        - description: The name of the enricher
          example: industry_prediction
          in: path
          name: enricher_name
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnricherResultSchema'
          description: Successfully retrieved enricher result
        '404':
          description: Enricher result not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EnricherResultSchema:
      properties:
        enriched_at:
          format: date-time
          type: string
        enricher_name:
          type: string
        result:
          additionalProperties: {}
          type: object
        status:
          enum:
            - succeeded
            - failed
            - processing
            - missing_input_data
          type: string
      required:
        - enriched_at
        - enricher_name
        - status
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````